[
  {
    "function": "set_components",
    "components": {
      "custom_data": {
        "or_edited_item": true,
        "or_item_no_edit": true,
        "or_is_armor": true,
        "or_armor_type": "iron",
        "or_armor_piece": "helmet",
        "or_protects_against_bleeding": true,
        "or_armor_category": "metal_plate",
        "or_is_heavy_armor": true,
        "or_item_has_weight": true,
        "or_item_weight_type": "percent",
        "or_item_weight_value": 10
      },
      "enchantments": {
        "overly_realistic:or_internal_armor/or_internal_helmet": 1
      },
      "tooltip_display": {
        "hidden_components": [
          "enchantments"
        ]
      },
      "enchantment_glint_override": false,
      "item_name": {
        "translate": "item.overlyrealistic.iron_helmet",
        "fallback": "Iron Helmet",
        "color": "white"
      },
        "minecraft:attribute_modifiers": [
          {
            "type": "minecraft:armor",
            "amount": 2.0,
            "id": "minecraft:armor.helmet",
            "operation": "add_value",
            "slot": "head"
          },
          {
            "type": "minecraft:armor_toughness",
            "amount": 1.0,
            "id": "minecraft:armor.helmet",
            "operation": "add_value",
            "slot": "head"
          },
          {
          "type": "movement_speed",
          "amount": -0.15,
          "id": "overly_realistic:iron_armor_debuff_helmet",
          "operation": "add_multiplied_total",
          "slot": "head",
          "display": {
            "type": "override",
            "value": [{"text":"-15% Speed","color":"blue"}]
          }
        }
        ],
        "equippable": {
          "slot": "head",
          "asset_id": "iron",
          "camera_overlay": "overlyrealistic:misc/helmet_generic_overlay",
          "can_be_sheared": false,
          "damage_on_hurt": true,
          "dispensable": true,
          "equip_on_interact": true,
          "equip_sound": "item.armor.equip_iron",
          "swappable": true
        }
    }
}
]